Bug 87827 - imap folders don't show up unless 'check all folders' is selected
imap folders don't show up unless 'check all folders' is selected
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: evolution (Show other bugs)
9
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-02 17:34 EST by David Mansfield
Modified: 2007-04-18 12:52 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-28 19:40:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Mansfield 2003-04-02 17:34:38 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.7 (X11; Linux i686; U;) Gecko/20030131

Description of problem:
I have about 60 imap folders.  I have subscribed to about 10.  I would like to
see just the 10 so I have the 'show only subscribed' set.  One of these is very
large, and I don't want to have to wait while the imapd goes though it every
time I check my mailbox.  So I have the 'check all folders' unselected.

The mail folders are in my home-dir on imap server in a directory called 'imap'
and therefore show up under a '+imap' tree node (ascii art here) in the folders
tree.

Now, whenever I restart evolution, I see either:

1) entire '+imap' tree node is gone -or-
2) imap tree node is there, and a random subset of my folders appear underneath it.

end of official bug report.

Since I have now filed a valid bugreport, I will take a second to mention that
this is the buggiest piece-of-doodoo that I have ever used.  I've had 2
segfaults in an hour (bug-buddied to ximian), a modal dialog appearing behind
the app (making it look like a freeze),  two other crashes requiring manual
killing of the half a dozen processes  and a bunch of other crappy random junk
etc.  None of these are reproducible, so I can't bugzilla them.

Yuck.

rpm -e



Version-Release number of selected component (if applicable):
1.2.2-5

How reproducible:
Always

Steps to Reproduce:
1. subscribe to a subset of folders
2. check the 'show only subscribed' in the mail preferences for the acct
3. uncheck the 'check all folders for new mail'
4. exit evolution
5. restart evolution

    

Actual Results:  entire 'imap' tree node and all folders under it are gone, or
just a subset of the folders are there.

Expected Results:  comes up the way it was when shut down.

Additional info:
Comment 1 Jeremy Katz 2003-04-08 20:07:07 EDT
Can you run from a terminal `CAMEL_VERBOSE_DEBUG=1 evolution-mail` and then once
it says its up, start evolution, and then go to the folder subscription screen?
 Attach the log from that here and I should be able to get an idea of what's
going on from the imap server traffic.
Comment 2 Jeremy Katz 2003-07-28 19:40:55 EDT
Closing due to inactivity.

Note You need to log in before you can comment on or make changes to this bug.